<?php
namespace SmartGallery\Service\BlockLayout;

use Interop\Container\ContainerInterface;
use SmartGallery\Site\BlockLayout\SmartGallery;
use Laminas\ServiceManager\Factory\FactoryInterface;

class SmartGalleryFactory implements FactoryInterface
{
	public function __invoke(ContainerInterface $services, $requestedName, array $options = null)
	{
		return new SmartGallery(
			$services->get('FormElementManager'),
			$services->get('Config')['DefaultSettings']['SmartGalleryBlockForm']
		);
	}
}
?>